import { Rule } from 'postcss';
export declare enum Mode {
    combined = "combined",
    override = "override"
}
export declare enum Source {
    ltr = "ltr",
    rtl = "rtl"
}
export declare type ModeValues = keyof typeof Mode;
export declare type SourceValues = keyof typeof Source;
export declare type strings = string | string[];
interface StringMapOptions {
    scope: '*' | 'selector' | 'url';
    ignoreCase: boolean;
}
export interface StringMap {
    name: string;
    priority: number;
    search: strings;
    replace: strings;
    options: StringMapOptions;
}
export interface PluginStringMap {
    search: strings;
    replace: strings;
}
export interface PluginOptions {
    mode?: ModeValues;
    ltrPrefix?: strings;
    rtlPrefix?: strings;
    source?: SourceValues;
    processUrls?: boolean;
    useCalc?: boolean;
    stringMap?: PluginStringMap[];
}
export declare type PluginOptionsParsed = Required<PluginOptions>;
export interface RulesObject {
    rule: Rule;
    ruleLTR: Rule | null;
    ruleRTL: Rule | null;
}
export {};
