"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var postcss_1 = __importDefault(require("postcss"));
var _types_1 = require("./@types");
var options_1 = require("./utilities/options");
var parser_1 = require("./rules/parser");
var rules_1 = require("./utilities/rules");
var _types_2 = require("./@types");
exports.Mode = _types_2.Mode;
exports.Source = _types_2.Source;
var transformer = function (options) {
    if (options === void 0) { options = {}; }
    return (function (css) {
        var optionsParsed = options_1.parseOptions(options);
        var appends = parser_1.parseRules(css, optionsParsed);
        appends.forEach(function (_a) {
            var rule = _a.rule, ruleLTR = _a.ruleLTR, ruleRTL = _a.ruleRTL;
            if (optionsParsed.mode === _types_1.Mode.combined) {
                rule.after(ruleRTL);
                rules_1.parseRule(ruleRTL);
                rule.after(ruleLTR);
                rules_1.parseRule(ruleLTR);
            }
            else {
                rule.after(ruleLTR || ruleRTL);
                rules_1.parseRule(ruleLTR || ruleRTL);
            }
            if (rule.nodes.length === 0) {
                rule.remove();
            }
        });
    });
};
exports.postcssRTLCSS = postcss_1.default.plugin('postcss-rtlcss', transformer);
