"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _constants_1 = require("../constants");
exports.getIgnoreComment = function (comment) {
    var commentStr = comment.toString();
    if (_constants_1.RTL_COMMENT_IGNORE_REGEXP.test(commentStr)) {
        var ignore = commentStr.replace(_constants_1.RTL_COMMENT_IGNORE_REGEXP, '$1');
        if (ignore && (ignore === _constants_1.IGNORE_BEGIN || ignore === _constants_1.IGNORE_END)) {
            return ignore;
        }
        else if (ignore === '') {
            return _constants_1.IGNORE_NEXT;
        }
    }
    return null;
};
exports.removeRTLComments = function (rule) {
    rule.walk(function (node) {
        if (node.type === _constants_1.COMMENT_TYPE) {
            if (_constants_1.RTL_COMMENT_REGEXP.test(node.toString())) {
                node.remove();
            }
        }
        if (node.type === _constants_1.DECLARATION_TYPE) {
            if (node.raws && node.raws.value && _constants_1.RTL_COMMENT_REGEXP.test(node.raws.value.raw)) {
                delete node.raws.value;
                node.value = node.value.trim();
            }
        }
    });
};
